import 'dart:convert' as convert;

import 'package:fis_lib_report/converts/alignment_convert.dart';
import 'package:fis_lib_report/converts/margin_convert.dart';
import 'package:fis_lib_report/converts/pt_to_px_converter.dart';
import 'package:fis_lib_report/report/static_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class RStaticImage extends StatefulWidget {
  final StaticImage staticImage;

  RStaticImage(this.staticImage);
  @override
  State<StatefulWidget> createState() {
    return _RStaticImageState();
  }
}

class _RStaticImageState extends State<RStaticImage> {
  _RStaticImageState();

  @override
  initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    final _bytes = convert.base64Decode(widget.staticImage.source!);
    return Row(
      mainAxisAlignment: AlignmentConvert.horizontalToMainConvert(
          widget.staticImage.horizontalAlignment),
      children: [
        Container(
          height: PtToPxConverter.ptToPx(widget.staticImage.imageHeight!),
          width: PtToPxConverter.ptToPx(widget.staticImage.imageWidth!),
          alignment: Alignment.center,
          margin: MarginConvert.marginConvert(widget.staticImage.margin),
          child: Image.memory(_bytes),
        ),
      ],
    );
  }
}
