import 'package:fis_lib_report/converts/event_type.dart';
import 'package:fis_lib_report/report/dateTimeElement.dart';
import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/inputText.dart';
import 'package:fis_lib_report/report/text_element.dart';
import 'package:fis_lib_report/report_info/report_info.dart';
import 'package:fis_lib_report/report_info/text_element_info.dart';

class DateTimeInfo extends TextElementInfo {
  ///UI绑定的文本
  String get text => _text;
  set text(String v) {
    _text = v;
    onTextChange.emit(this, v);
  }

  ///文本改变通知UI变化
  FEventHandler<String> onTextChange = FEventHandler<String>();

  ///日期格式
  String? dateTimeFormat = 'yyyy-MM-dd';

  String _text = '';

  DateTimeInfo.fromElement(DateTimeElement element)
      : super.fromElement(element) {
    dateTimeFormat = element.dateTimeFormat;
  }

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['Key'] = id;
    map['Value'] = text;
    ReportInfo.instance.jsonItems.add(map);
    return map;
  }
}
