import 'package:fis_lib_report/converts/event_type.dart';
import 'package:fis_lib_report/report/inputImageList.dart';
import 'package:fis_lib_report/report_info/block_element_info_interface.dart';
import 'package:fis_lib_report/report_info/element_info.dart';
import 'package:fis_lib_report/report_info/report_info.dart';

class InputImageListInfo extends ElementInfo implements IBlockElementInfo {
  ///列数
  int? column;

  ///是否有缝隙
  bool? hasGap;

  ///是否制度表
  bool? isReadOnly;

  ///当前是否处于选中状态
  bool? isSelected;

  ///已选图像集合
  List<String> get selectedImages => _selectedImages;
  set selectedImages(List<String> v) {
    _selectedImages = v;
    onSelectedChange.emit(this, v);
  }

  ///选中项改变通知UI变化
  FEventHandler<List<String>> onSelectedChange = FEventHandler<List<String>>();

  List<String> _selectedImages = [];

  FEventHandler<String>? onSelect = FEventHandler();

  InputImageListInfo.fromElement(InputImageList inputImageList)
      : super.fromElement(inputImageList) {
    column = inputImageList.column;
    hasGap = inputImageList.hasGap;
    isReadOnly = inputImageList.isReadOnly;
  }

  @override
  List<ElementInfo>? elementInfos;

  void addImage(String imageUrl) {
    onSelect!.emit(this, imageUrl);
  }

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['Key'] = tag!.id;
    map['Value'] = selectedImages;
    ReportInfo.instance.jsonItems.add(map);
    return map;
  }
}
